| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::detail::BlocksChannelsCompensator Class Reference
Images stitching » Exposure Compensation

Exposure compensator which tries to remove exposure related artifacts by adjusting image block on each channel. More...

`#include <opencv2/stitching/detail/exposure_compensate.hpp>`

Collaboration diagram for cv::detail::BlocksChannelsCompensator:

## Public Member Functions
| BlocksChannelsCompensator (int bl_width=32, int bl_height=32, int nr_feeds=1)
void | feed (const std::vector< Point > &corners, const std::vector< UMat > &images, const std::vector< std::pair< UMat, uchar > > &masks) CV_OVERRIDE
Public Member Functions inherited from cv::detail::BlocksCompensator
| BlocksCompensator (int bl_width=32, int bl_height=32, int nr_feeds=1)
void | apply (int index, Point corner, InputOutputArray image, InputArray mask) CV_OVERRIDE
| Compensate exposure in the specified image.
Size | getBlockSize () const
void | getMatGains (std::vector< Mat > &umv) CV_OVERRIDE
int | getNrFeeds ()
int | getNrGainsFilteringIterations () const
double | getSimilarityThreshold () const
void | setBlockSize (int width, int height)
void | setBlockSize (Size size)
void | setMatGains (std::vector< Mat > &umv) CV_OVERRIDE
void | setNrFeeds (int nr_feeds)
void | setNrGainsFilteringIterations (int nr_iterations)
void | setSimilarityThreshold (double similarity_threshold)
Public Member Functions inherited from cv::detail::ExposureCompensator
| ExposureCompensator ()
virtual | ~ExposureCompensator ()
void | feed (const std::vector< Point > &corners, const std::vector< UMat > &images, const std::vector< UMat > &masks)
bool | getUpdateGain ()
void | setUpdateGain (bool b)

## Additional Inherited Members
Public Types inherited from cv::detail::ExposureCompensator
enum | { NO , GAIN , GAIN_BLOCKS , CHANNELS , CHANNELS_BLOCKS }
Static Public Member Functions inherited from cv::detail::ExposureCompensator
static Ptr< ExposureCompensator > | createDefault (int type)
Protected Member Functions inherited from cv::detail::BlocksCompensator
template<class Compensator >
void | feed (const std::vector< Point > &corners, const std::vector< UMat > &images, const std::vector< std::pair< UMat, uchar > > &masks)
Protected Attributes inherited from cv::detail::ExposureCompensator
bool | updateGain

## Detailed Description

Exposure compensator which tries to remove exposure related artifacts by adjusting image block on each channel.

## Constructor & Destructor Documentation

## ◆ BlocksChannelsCompensator()

cv::detail::BlocksChannelsCompensator::BlocksChannelsCompensator | ( | int | bl_width = 32,
|  | int | bl_height = 32,
|  | int | nr_feeds = 1 )
| inline

Python:
| cv.detail.BlocksChannelsCompensator( | [, bl_width[, bl_height[, nr_feeds]]] | ) -> | <detail_BlocksChannelsCompensator object>

## Member Function Documentation

## ◆ feed()

void cv::detail::BlocksChannelsCompensator::feed | ( | const std::vector< Point > & | corners,
|  | const std::vector< UMat > & | images,
|  | const std::vector< std::pair< UMat, uchar > > & | masks )
| virtual

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Implements cv::detail::ExposureCompensator.

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/exposure_compensate.hpp